# Kubernetes Labs

Kubernetes Eğitimi Uygulamaları

    1 - Giriş (Introduction)
        - Kubectl
        - Yaml Söz Dizimi (Syntax)

    2- Anahtar Kavramlar (Key Concepts)
        2.1 İş Yükleri (Workloads)
            - Namespaces 
            - Pods 
                - Çoklu Container (multi-container)
                    - Init Container 
                    - Sidecar Container 
            - ReplicaSets
            - Deployments 
                - Liveness-Readiness Probe 
            - StatefulSets
            - DaemonSets
            - Jobs 
            - CronJobs
        2.2 Servisler ve Ağ (Services and Networking)
            - Services (Servisler)
            - Ingress
        2.3 Yapılandırma (Configuration)
            - ConfigMaps
            - Secrets 
        2.4 Depolama (Storage)
            - Volumes 

    3- Sorun Giderme, Güvenlik (Troubleshooting, Security)
        - Debug (Hata Ayıklama)
        - RBAC (Rol Tabanlı Erişim Kontrolü)
        - Rollback-Rollout 
        - Taint, Toleration, Affinity, Selector 